std::scoped_allocator_adaptor< _OuterAlloc, _InnerAllocs >(3)

NAME
std::scoped_allocator_adaptor< _OuterAlloc, _InnerAllocs > -

SYNOPSIS

Inherits _OuterAlloc.

  Public Types
typedef __traits::const_pointer const_pointer
typedef
__traits::const_void_pointer const_void_pointer"
typedef __traits::difference_type difference_type
typedef __inner_type::__type inner_allocator_type
typedef _OuterAlloc outer_allocator_type
typedef __traits::pointer pointer
typedef conditional< __any_of
< __propagate_on_copy,
_OuterAlloc, _InnerAllocs...>
::value, true_type, false_type >
::type propagate_on_container_copy_assignment"
typedef conditional< __any_of
< __propagate_on_move,
_OuterAlloc, _InnerAllocs...>
::value, true_type, false_type >
::type propagate_on_container_move_assignment"
typedef conditional< __any_of
< __propagate_on_swap,
_OuterAlloc, _InnerAllocs...>
::value, true_type, false_type >
::type propagate_on_container_swap"
typedef __traits::size_type size_type
typedef __traits::value_type value_type
typedef __traits::void_pointer void_pointer

  Public Member Functions
template<typename _Outer2 > scoped_allocator_adaptor (_Outer2 &&__outer, const _InnerAllocs &...__inner)
scoped_allocator_adaptor (const scoped_allocator_adaptor &__other)
scoped_allocator_adaptor (scoped_allocator_adaptor &&__other)
template<typename _Outer2 > scoped_allocator_adaptor (const scoped_allocator_adaptor< _Outer2, _InnerAllocs...> &__other)
template<typename _Outer2 > scoped_allocator_adaptor (scoped_allocator_adaptor< _Outer2, _InnerAllocs...> &&__other)
pointer allocate (size_type __n)
pointer allocate (size_type __n, const_void_pointer __hint)
template<typename _Tp , typename... _Args> void construct (_Tp *__p, _Args &&...__args)
template<typename _T1 , typename _T2 , typename... _Args1, typename... _Args2> void construct (pair< _T1, _T2 > *__p, piecewise_construct_t, tuple< _Args1...> __x, tuple< _Args2...> __y)
template<typename _T1 , typename _T2 > void construct (pair< _T1, _T2 > *__p)
template<typename _T1 , typename _T2 , typename _Up , typename _Vp > void construct (pair< _T1, _T2 > *__p, _Up &&__u, _Vp &&__v)
template<typename _T1 , typename _T2 , typename _Up , typename _Vp > void construct (pair< _T1, _T2 > *__p, const pair< _Up, _Vp > &__x)
template<typename _T1 , typename _T2 , typename _Up , typename _Vp > void construct (pair< _T1, _T2 > *__p, pair< _Up, _Vp > &&__x)
void deallocate (pointer __p, size_type __n)
template<typename _Tp > void destroy (_Tp *__p)
inner_allocator_type & inner_allocator () noexcept
const inner_allocator_type & inner_allocator () const noexcept
size_type max_size () const
outer_allocator_type & outer_allocator () noexcept
const outer_allocator_type & outer_allocator () const noexcept
scoped_allocator_adaptor select_on_container_copy_construction () const

  Friends
template<typename _Outer , typename... _Inner> class scoped_allocator_adaptor
template<typename... > class __inner_type_impl
template<typename _OutA1 , typename _OutA2 , typename... _InA> bool operator== (const scoped_allocator_adaptor< _OutA1, _InA...> &__a, const scoped_allocator_adaptor< _OutA2, _InA...> &__b) noexcept

Detailed Description

  template<typename _OuterAlloc, typename... _InnerAllocs>class std::scoped_allocator_adaptor< _OuterAlloc, _InnerAllocs >
Primary class template.

Definition at line 95 of file scoped_allocator.

Author

Generated automatically by Doxygen for libstdc++ from the source code.